// SPDX-FileCopyrightText: 2006-2024 Knut Reinert & Freie Universität Berlin
// SPDX-FileCopyrightText: 2016-2024 Knut Reinert & MPI für molekulare Genetik
// SPDX-License-Identifier: BSD-3-Clause

/*!\file
 * \author Hannes Hauswedell <hannes.hauswedell AT fu-berlin.de>
 * \brief Meta-header for the \link alphabet_adaptation Alphabet / Adaptation submodule \endlink.
 */

/*!\defgroup alphabet_adaptation Adaptation
 * \brief Provides alphabet adaptions of some standard char and uint types.
 * \ingroup alphabet
 * \see alphabet
 */

#pragma once

#include <seqan3/alphabet/adaptation/char.hpp>
#include <seqan3/alphabet/adaptation/uint.hpp>
