// SPDX-FileCopyrightText: 2006-2024 Knut Reinert & Freie Universität Berlin
// SPDX-FileCopyrightText: 2016-2024 Knut Reinert & MPI für molekulare Genetik
// SPDX-License-Identifier: BSD-3-Clause

/*!\file
 * \author Enrico Seiler <enrico.seiler AT fu-berlin.de>
 * \brief Meta-header for the \link search_dream_index Search / DREAM Index submodule \endlink.
 */

/*!\defgroup search_dream_index DREAM Index
 * \brief Provides seqan3::interleaved_bloom_filter.
 * \ingroup search
 * \see search
 */

#pragma once

#include <seqan3/search/dream_index/interleaved_bloom_filter.hpp>
